# Remove constituents from basket

Remove securities from basket (invalidates user basket cache)

Endpoint: DELETE /aggregates/baskets/{basket_id}/constituents
Version: 1.0.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer

## Path parameters:

  - `basket_id` (integer, required)
    Basket ID

## Request fields (application/json):

  - `security_ids` (array, required)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `name` (string, required)

  - `id` (integer, required)

  - `vanda_id` (string, required)

  - `user_id` (integer, required)

  - `underlying_ids` (array, required)

  - `active` (boolean, required)

  - `agg_px_ref_sec_id` (any, required)

  - `constituent_count` (integer, required)

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

